Developer here needs skills... Rated 1 out of 5 stars

Not updated to work on new Firefox 6.0 for one. And two, NOT worth my time or any others time as this is just a LAME add-on.

I was 14, i'm no longer updating this add-on.